xine-lib: xine_stream_s Struct Reference

xine-lib 1.2.12

Data Fields
xine_stream_s Struct Reference

`#include <xine_internal.h>`

## Data Fields
xine_t * | xine
metronom_t * | metronom
input_plugin_t * | input_plugin
xine_video_port_t *volatile | video_out
fifo_buffer_t * | video_fifo
xine_audio_port_t *volatile | audio_out
fifo_buffer_t * | audio_fifo
osd_renderer_t * | osd_renderer
xine_stream_t * | master
xine_stream_t * | slave
spu_decoder_t * | spu_decoder_plugin
vo_driver_t * | video_driver
int | audio_channel_auto
int | spu_decoder_streamtype
int | spu_channel_user
int | spu_channel_auto
int | spu_channel_letterbox
int | spu_channel
int | content_detection_method

## Field Documentation

## ◆ audio_channel_auto

int xine_stream_s::audio_channel_auto

Referenced by _x_audio_decoder_init(), audio_decoder_loop(), and xine_stream_new().

## ◆ audio_fifo

fifo_buffer_t* xine_stream_s::audio_fifo

Referenced by _x_audio_decoder_init(), _x_audio_decoder_shutdown(), _x_close_broadcaster(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_init_broadcaster(), audio_decoder_loop(), demux_loop(), open_internal(), open_plugin(), vdr_class_get_instance(), video_decoder_loop(), xine_get_next_audio_frame(), xine_get_side_stream(), and xine_nbc_init().

## ◆ audio_out

xine_audio_port_t* volatile xine_stream_s::audio_out

Referenced by _x_audio_decoder_init(), _x_demux_flush_engine(), audio_decoder_loop(), close_internal(), demux_unstick_ao_loop(), open_plugin(), send_audio_amp_event_internal(), set_speed_internal(), stream_rewire_audio(), xine_get_param(), xine_get_side_stream(), xine_set_param(), and xine_stream_new().

## ◆ content_detection_method

int xine_stream_s::content_detection_method

Referenced by _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), anx_open_plugin(), ogg_open_plugin(), open_demux_plugin(), and open_plugin().

## ◆ input_plugin

input_plugin_t* xine_stream_s::input_plugin

Referenced by _get_audio_lang(), _get_spu_lang(), _x_cache_plugin_get_instance(), _x_find_demux_plugin(), _x_rip_plugin_get_instance(), close_internal(), demux_loop(), open_internal(), vdr_is_vdr_stream(), xine_get_pos_length(), xine_get_stream_info(), and xine_open().

## ◆ master

xine_stream_t* xine_stream_s::master

Referenced by _x_demux_flush_engine(), open_internal(), video_decoder_loop(), xine_dispose(), xine_stream_master_slave(), and xine_stream_new().

## ◆ metronom

metronom_t* xine_stream_s::metronom

Referenced by _x_post_frame_u_turn(), ao_change_settings(), ao_put_buffer(), audio_decoder_loop(), dxr3_open_plugin(), fftgraph_port_open(), fftscope_port_open(), fooviz_port_open(), goom_port_open(), open_plugin(), oscope_port_open(), stretch_port_put_buffer(), tdaan_port_open(), vdr_class_get_instance(), video_decoder_loop(), vo_frame_draw(), xine_dispose_internal(), xine_get_param(), xine_get_side_stream(), xine_set_param(), and xine_stream_new().

## ◆ osd_renderer

osd_renderer_t* xine_stream_s::osd_renderer

Referenced by xine_dispose(), xine_get_side_stream(), xine_osd_new(), and xine_stream_new().

## ◆ slave

xine_stream_t* xine_stream_s::slave

Referenced by _x_select_spu_channel(), _x_set_fine_speed(), close_internal(), open_internal(), xine_dispose(), xine_stream_master_slave(), and xine_stream_new().

## ◆ spu_channel

int xine_stream_s::spu_channel

Referenced by _x_select_spu_channel(), video_decoder_loop(), and xine_stream_new().

## ◆ spu_channel_auto

int xine_stream_s::spu_channel_auto

Referenced by _x_select_spu_channel(), video_decoder_loop(), and xine_stream_new().

## ◆ spu_channel_letterbox

int xine_stream_s::spu_channel_letterbox

Referenced by video_decoder_loop(), and xine_stream_new().

## ◆ spu_channel_user

int xine_stream_s::spu_channel_user

Referenced by _x_get_spu_channel(), _x_select_spu_channel(), video_decoder_loop(), vo_open(), xine_get_param(), xine_stream_master_slave(), and xine_stream_new().

## ◆ spu_decoder_plugin

spu_decoder_t* xine_stream_s::spu_decoder_plugin

Referenced by update_spu_decoder(), video_decoder_loop(), and xine_stream_new().

## ◆ spu_decoder_streamtype

int xine_stream_s::spu_decoder_streamtype

Referenced by update_spu_decoder(), and xine_stream_new().

## ◆ video_driver

vo_driver_t* xine_stream_s::video_driver

Referenced by dxr3_present(), dxr3_spudec_open_plugin(), xine_get_side_stream(), and xine_stream_new().

## ◆ video_fifo

fifo_buffer_t* xine_stream_s::video_fifo

Referenced by _x_close_broadcaster(), _x_demux_control_end(), _x_demux_control_headers_done(), _x_demux_control_newpts(), _x_demux_control_nop(), _x_demux_control_start(), _x_demux_flush_engine(), _x_init_broadcaster(), _x_rip_plugin_get_instance(), _x_spu_decoder_sleep(), _x_video_decoder_init(), _x_video_decoder_shutdown(), demux_loop(), open_internal(), vdr_class_get_instance(), video_decoder_loop(), xine_get_next_video_frame(), xine_get_side_stream(), and xine_nbc_init().

## ◆ video_out

xine_video_port_t* volatile xine_stream_s::video_out

Referenced by _open_plugin(), _x_demux_flush_engine(), _x_get_current_frame_data(), _x_video_decoder_init(), close_internal(), decode_picture(), dxr3_open_plugin(), ff_video_open_plugin(), open_internal(), open_plugin(), parse_chunk(), spucmml_class_open_plugin(), stream_rewire_video(), theora_open_plugin(), video_decoder_loop(), xine_get_param(), xine_get_side_stream(), xine_new_grab_video_frame(), xine_set_param(), and xine_stream_new().

## ◆ xine

xine_t* xine_stream_s::xine

Referenced by _get_instance(), _meta_info_set_encoding(), _open_plugin(), _x_audio_decoder_init(), _x_close_broadcaster(), _x_demux_control_headers_done(), _x_demux_control_start(), _x_demux_flush_engine(), _x_find_demux_plugin(), _x_find_demux_plugin_by_name(), _x_find_demux_plugin_last_probe(), _x_find_input_plugin(), _x_flush_events_queues(), _x_free_audio_decoder(), _x_free_demux_plugin(), _x_free_input_plugin(), _x_free_spu_decoder(), _x_free_video_decoder(), _x_get_audio_decoder(), _x_get_current_frame_data(), _x_get_fine_speed(), _x_get_spu_decoder(), _x_get_video_decoder(), _x_init_broadcaster(), _x_io_file_read(), _x_io_file_write(), _x_io_select(), _x_io_tcp_close(), _x_io_tcp_connect_finish(), _x_io_tcp_handshake_connect(), _x_io_tcp_part_read(), _x_io_tcp_read(), _x_io_tcp_write(), _x_keyframes_add(), _x_keyframes_set(), _x_osd_renderer_init(), _x_query_buffer_usage(), _x_query_buffers(), _x_query_unprocessed_osd_events(), _x_real_codec_open(), _x_rip_plugin_get_instance(), _x_select_spu_channel(), _x_set_fine_speed(), _x_spu_decoder_sleep(), _x_video_decoder_init(), audio_decoder_loop(), cache_plugin_new(), close_internal(), crypto_class_get_instance(), demux_loop(), dvb_spu_class_open_plugin(), dxr3_open_plugin(), dxr3_spudec_open_plugin(), ff_video_open_plugin(), fftgraph_port_open(), fftscope_port_open(), flac_get_frame(), get_format_context(), get_io_context(), hls_input_get_instance(), http_can_handle(), id3v22_parse_tag(), id3v23_parse_tag(), id3v24_parse_tag(), id3v2_parse_tag(), info_valid(), input_avformat_get_instance(), input_avio_get_instance(), lock_run(), meta_valid(), mms_class_get_instance(), mms_connect(), mmsh_connect(), mpd_input_get_instance(), network_connect(), network_read_cdrom_toc(), open_demux_avformat_plugin(), open_demux_plugin(), open_film_file(), open_internal(), open_plugin(), oscope_port_open(), osd_set_encoding(), play_internal(), pnm_calc_stream(), pnm_connect(), pnm_get_chunk(), pnm_get_headers(), pnm_get_stream_chunk(), pvr_class_get_instance(), reportIP(), rip_plugin_open(), rip_plugin_read(), rip_plugin_read_block(), rip_read_file_read_1a(), rip_read_file_read_1b(), rip_read_file_read_2(), rip_read_file_set_2(), rip_read_file_start(), rip_seek_original(), rtsp_connect(), rtsp_get_answers(), rtsp_get_code(), rtsp_session_start(), set_speed_internal(), stdin_class_get_instance(), stream_rewire_audio(), stream_rewire_video(), stretch_port_close(), stretch_port_open(), tdaan_port_open(), unlock_run(), upmix_mono_port_open(), v4l2_class_get_instance(), v4l_class_get_instance(), v4l_class_get_radio_instance(), v4l_class_get_video_instance(), vdr_metronom_handle_audio_discontinuity(), vdr_metronom_handle_video_discontinuity(), video_decoder_loop(), xine_a52_parse_data(), xine_dispose(), xine_dispose_internal(), xine_event_create_listener_thread(), xine_event_dispose_queue(), xine_get_current_vpts(), xine_get_param(), xine_get_side_stream(), xine_get_stream_info(), xine_nbc_init(), xine_new_grab_video_frame(), xine_open(), xine_set_param(), xine_side_dispose_internal(), xine_stream_new(), and xio_err().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/xine_internal.h